[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Grids' (#lcl)

# TCustomGrid.HeaderSized

Performs actions needed when a column or a row has been resized.

## Declaration

Source position: grids.pas line 1128

`protected procedure TCustomGrid.HeaderSized(`
`IsColumn: Boolean;`
`index: Integer`
`); virtual;`

## Arguments

`IsColumn` |  | True if a column was resized, False if a Row was resized.
`index` |  | Column or row number for the resize operation.

## Description

HeaderSized is used to perform actions needed when the header for a column or row has been resized in the grid control.

IsColumn indicates whether the sizing action applies to a column or a row. When set to True, the column header has been resized. When set to False, the row header was resized.

Index indicates the column or row number in the grid where the resizing action occurred.

HeaderSized has an empty implementation in TCustomGrid. It is overridden in descendent classes like TCustomDrawGrid to perform additional actions.

HeaderSized is called from methods like MouseUp (when column or row sizing is completed) and DblClick (when column sizing is enabled in the grid Options).

## See also

TCustomGrid.Options |  | Contains the set of optional features and/or behaviors enabled for the grid control.
TCustomGrid.MouseUp |  | Handles a mouse up event for the grid control.
TCustomGrid.DblClick |  | Performs actions needed to handle mouse double click events in the control.
TCustomDrawGrid.HeaderSized |  | Performs actions needed when a column or a row has been resized.